Bug 4681 - Conflict in two X11/extensions/Print.h and X11/extensions/XI.h
Summary: Conflict in two X11/extensions/Print.h and X11/extensions/XI.h
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-23 23:45 UTC by jay
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-31 19:19:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description jay 1999-08-23 23:45:37 UTC
Compiling the following file:

#include <X11/extensions/XI.h>
#include <X11/extensions/Print.h>

produces the following error message:

In file included from xtest.c:2:
X11/extensions/Print.h:275: conflicting types for
`XExtensionVersion'
X11/extensions/XI.h:267: previous declaration of
`XExtensionVersion'

Comment 1 Preston Brown 1999-08-31 19:19:59 UTC
Fixed in the forthcoming XFree86 3.3.5 errata release.


Note You need to log in before you can comment on or make changes to this bug.